<div class="wrapper">
    <div class="page-header" style="background-image: url('./assets/img/login-image.jpg');">
        <div class="filter"></div>
        <div class="container">
            <div class="row">
                <div class="col-lg-4 col-sm-6 mr-auto ml-auto">
                    <div class="card card-register">
                        <h3 class="title">Welcome</h3>

                        <form class="register-form">
                            <label>Email</label>
                            <div class="input-group form-group-no-border">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                  <i class="nc-icon nc-email-85"></i>
                              </span>
                                </div>

                                <input name="email" [(ngModel)]="user.email" type="text" class="form-control" placeholder="Email">
                            </div>

                            <label>Password</label>
                            <div class="input-group form-group-no-border">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                  <i class="nc-icon nc-key-25"></i>
                              </span>
                                </div>
                                <input name="password" [(ngModel)]="user.password" type="password" class="form-control" placeholder="Password">
                            </div>

                            <label>Username</label>
                            <div class="input-group form-group-no-border">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                  <i class="nc-icon nc-single-02"></i>
                              </span>
                                </div>

                                <input name="username" [(ngModel)]="user.username" type="text" class="form-control" placeholder="Username">
                            </div>

                            <label>Last Name</label>
                            <div class="input-group form-group-no-border">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                  <i class="nc-icon nc-badge"></i>
                              </span>
                                </div>

                                <input name="lastName" [(ngModel)]="user.lastName" type="text" class="form-control" placeholder="Last Name">
                            </div>

                            <label>First Name</label>
                            <div class="input-group form-group-no-border">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                  <i class="nc-icon nc-badge"></i>
                              </span>
                                </div>

                                <input name="firstName" [(ngModel)]="user.firstName" type="text" class="form-control" placeholder="First Name">
                            </div>

                            <label>Adress</label>
                            <div class="input-group form-group-no-border">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                  <i class="nc-icon nc-pin-3"></i>
                              </span>
                                </div>

                                <input name="adress" [(ngModel)]="user.adress" type="text" class="form-control" placeholder="Adress">
                            </div>

                            <label>Postal Code</label>
                            <div class="input-group form-group-no-border">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                  <i class="nc-icon nc-bus-front-12"></i>
                              </span>
                                </div>

                                <input name="postalCode" [(ngModel)]="user.postalCode" type="number" class="form-control" placeholder="Postal Code">
                            </div>

                            <label>City</label>
                            <div class="input-group form-group-no-border">
                                <div class="input-group-prepend">
                                    <span class="input-group-text">
                                  <i class="nc-icon nc-air-baloon"></i>
                              </span>
                                </div>

                                <input name="city" [(ngModel)]="user.city" type="text" class="form-control" placeholder="City">
                            </div>


                            <button class="btn btn-warning btn-block btn-round text-dark" (click)="register()">Register</button>
                        </form>
                    </div>
                </div>
            </div>
            <div class="footer register-footer text-center ">
                <h6>&copy;{{year | date: 'yyyy'}}, made with <i class="fa fa-heart heart "></i> by SophB</h6>
            </div>
        </div>
    </div>
</div>